## @id $Id$
#
# This file has been added by bootstrap.sh on Sun, 15 Mar 2015 09:18:56 +0100
# Feel free to change it or even remove and rebuild it, up to your needs
#
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

lib_LTLIBRARIES = libproxyface.la
LANGUAGE_FILE_BASE = proxy
translationsdir = ${pkgdatadir}/translations
translations_DATA = ${LANGUAGE_FILE_BASE}_en.qm	\
                    ${LANGUAGE_FILE_BASE}_de.qm	\
                    ${LANGUAGE_FILE_BASE}_fr.qm	\
                    ${LANGUAGE_FILE_BASE}_it.qm

proxyfacedir = ${includedir}/proxyface
proxyface_HEADERS = proxyface/autoproxy.hxx proxyface/proxy.hxx	\
                    proxyface/unix.hxx proxyface/proxyauth.hxx	\
                    proxyface/qtproxy.hxx proxyface/windoze.hxx	\
                    ${libproxyface_la_UIFILES}

if HAVE_QT
libproxyface_la_UIFILES = proxyface/ui_proxy.hxx	\
                          proxyface/ui_proxyauth.hxx
libproxyface_la_MOCFILES = proxyface/moc_proxy.cxx	\
                           proxyface/moc_autoproxy.cxx	\
                           proxyface/moc_proxyauth.cxx
libproxyface_la_RCCFILES = proxyface/qrc_resources.cxx
BUILT_SOURCES = ${libproxyface_la_UIFILES}	\
                ${libproxyface_la_MOCFILES}	\
                ${libproxyface_la_RCCFILES} ${translations_DATA}
EXTRA_DIST_TR = ${libproxyface_la_MOCFILES:moc_%.cxx=%.hxx}	\
                ${libproxyface_la_UIFILES:ui_%.hxx=%.ui}
EXTRA_DIST = ${EXTRA_DIST_TR} languages.qrc.in	\
             ${translations_DATA:%.qm=%.ts}

endif
libproxyface_la_SOURCES = version.cxx ${libproxyface_la_RCCFILES}	\
                          ${libproxyface_la_MOCFILES}

DISTCLEANFILES = ${translations_DATA}